Subject: Re: Rsync issues with Windows Server 2008
From: Des Dougan <[email-masked]>
To: Des Dougan <[email-masked]>
Cc: [email-masked]
Date: Sat, 7 Mar 2009 14:03:04 -0800
List-Id: <cygwin.cygwin.com>

On 7 Mar 2009, at 12:11, Des Dougan wrote:

> Several months ago I set up an OpenSUSE box to act as a remote  
> backup server to a Windows 2008 Server, running rsync over ssh from  
> the Linux box, with Cygwin on the Windows server. It had been  
> working well until a couple of weeks ago when I had a problem with  
> one of the Access databases (.mdb file) the server hosts. Basically,  
> rsync stopped processing and just hung when processing this file.  
> Restarting the server did not seem to clear it up. The application  
> using the databases was also having shutdown issues, so it appeared  
> to be an application-caused hang. Subsequently, though, I am seeing  
> other hang-ups. I have spent time this morning trying to diagnose  
> the problem, which manifested itself with a printer driver (/Windows/ 
> System32/spool/drivers/w32x86/3/PCL5ERES.DLL). Restarting the server  
> didn't make a difference. I therefore updated Cygwin to ensure I was  
> on the latest version:
>
> $ cygcheck -V
> cygcheck version 1.90.4.1
> System Checker for Cygwin
> Copyright 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006 Red  
> Hat, Inc.
> Compiled on Jun 12 2008
>
> After restarting the server, I ran the backup script. Now it is  
> hanging on bash.exe, which I assume was updated as part of the  
> Cygwin update. The backup command in the script is:
>
> rsync -auvz --exclude-from=$EXCLUDED2 --rsh="ssh -i $KEY -l Backup - 
> p 3390" domain.name:/ $BACKUPDIR2
>
> The variables are of course defined in the script. There are no  
> errors written to stdout until the script is cancelled - it simply  
> sits not processing until it is cancelled.
>
> I am remote from both servers and have had no connection  
> interruptions during my testing.
>
> I'd appreciate any ideas on resolving this.
>

Sorry to reply to my own post. I tried some other options, and found  
that if I used the rsync "W" option instead of the "u" option, the  
backup ran cleanly.

Can someone clarify why this change affects the process?

Thanks,

Des

--

Des Dougan, Principal
Dougan Consulting Group Inc.

Office:		604-628-5434
Cell:   	604-866-2848
Email:  	des at DouganConsulting dot com

         www.DouganConsulting.com

Peace of Mind, One Computer at a Time.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/